﻿USE reservas; -- Practica8

/* Creando claves foraneas */
ALTER TABLE tipo_habitacion 
  ADD CONSTRAINT fkHotel_TipoHabitacion FOREIGN KEY (NUM_HOTEL)
        REFERENCES hotel(NUM_HOTEL) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE reserva
  ADD CONSTRAINT fkCliente_Reserva FOREIGN KEY (NUM_CLIENTE)
        REFERENCES cliente(NUM_CLIENTE) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT fkTipoHabitacion_Reserva FOREIGN KEY (NUM_TIPOHAB)
        REFERENCES tipo_habitacion(NUM_TIPOHAB) ON DELETE CASCADE ON UPDATE CASCADE;
 